      program extssn0
C.............................................................Jan. 2020
      character*70 outfile,infile
	character*2 AMN,ADY
C
	infile='d:\apkp\SN_d_tot_V2.0-1.txt'
	outfile='ssn0_1.res'
	OPEN(10,file=infile,action='READ')
	OPEN(11,file=outfile)
C	iyear=1996
	iyear=2008
	icnt=0
   30 format(I4,2(1X,A2),10X,I4)
C   31 format(I4,2A2,1X,I4)
   31 format(I4,2(1X,A2),1X,I4)
    1	read(10,30,end=2) kyear,amn,ady,kssn
      if(kyear.lt.iyear) goto 1
	if (amn(1:1).eq.' ') amn(1:1)='0'
	if(kssn.eq.0) then
	icnt=icnt+1
	write(*,31) kyear,amn,ady,icnt
	write(11,31) kyear,amn,ady,icnt
	endif
	goto 1
   2	close(unit=10)
      close(unit=11)
	pause ' '
	STOP
	END